## org.codehaus.groovy.grails.orm.hibernate.exceptions
Class GrailsQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsQueryException

All Implemented Interfaces:
  Serializable

    public class GrailsQueryException

extends GrailsException

Base exception class for errors related to Domain class queries in Grails

Since:
  Nov 22, 2005
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`GrailsQueryException()`
`GrailsQueryException(String arg0)`
`GrailsQueryException(String arg0, Throwable arg1)`
`GrailsQueryException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsQueryException

    public GrailsQueryException()

### GrailsQueryException

    public GrailsQueryException(String arg0,
                                Throwable arg1)

### GrailsQueryException

    public GrailsQueryException(String arg0)

### GrailsQueryException

    public GrailsQueryException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project